com.ihr.xbrl.transform.target

## Class HTMLFactHandler

- java.lang.Object
- - com.ihr.xbrl.transform.target.XBRLFactHandler
  - - com.ihr.xbrl.transform.target.HTMLFactHandler

- All Implemented Interfaces:
    XBRLFactHandlerInterface

      public class HTMLFactHandler
      extends XBRLFactHandler

  The Class HTMLFactHandler.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLFactHandler(DTSContainer dts)` Instantiates a new HTML fact handler.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endOfDocument()` Called by the processor to announce the instance document processing is finished.
    `java.net.URI` | `getConfigFile()` Returns the config file that was set using the getConfigFile method or null if no config file has been set.
    `void` | `init()` Called by the processor once the object is instantiated and after the configuration file is set.
    `void` | `processContexts(java.util.Iterator<XBRLContext> contexts)` Called by the processor to inform about the contexts that exist in the instance document.
    `javax.xml.transform.Source` | `processFact(XBRLFact fact)` Called by the processor to inform about a new fact that requires processing.
    `void` | `setConfigFile(java.net.URI configFile)` Sets a configuration file for this transformer.
    `void` | `startOfDocument(XBRLInstance instance)` Called by the processor to announce a new instance document is about to be processed.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTMLFactHandler

          public HTMLFactHandler(DTSContainer dts)

      Instantiates a new HTML fact handler.
      Parameters:
        `dts` - the dts

  - ### Method Detail

    - #### endOfDocument

          public void endOfDocument()

      Description copied from interface: `XBRLFactHandlerInterface`
      Called by the processor to announce the instance document processing is finished.

    - #### init

          public void init()
                    throws DataTargetConfigurationFileException

      Description copied from interface: `XBRLFactHandlerInterface`
      Called by the processor once the object is instantiated and after the configuration file is set.
      Throws:
        `DataTargetConfigurationFileException` - the data target configuration file exception

    - #### processContexts

          public void processContexts(java.util.Iterator<XBRLContext> contexts)

      Description copied from interface: `XBRLFactHandlerInterface`
      Called by the processor to inform about the contexts that exist in the instance document. This information could be used to prepare the number of columns and things like that.
      Parameters:
        `contexts` - Iterator

    - #### processFact

          public javax.xml.transform.Source processFact(XBRLFact fact)

      Description copied from interface: `XBRLFactHandlerInterface`
      Called by the processor to inform about a new fact that requires processing.
      Parameters:
        `fact` - XBRLFact
      Returns:
        the source

    - #### startOfDocument

          public void startOfDocument(XBRLInstance instance)

      Description copied from interface: `XBRLFactHandlerInterface`
      Called by the processor to announce a new instance document is about to be processed.
      Parameters:
        `instance` - XBRLInstance object

    - #### setConfigFile

          public void setConfigFile(java.net.URI configFile)

      Description copied from interface: `XBRLFactHandlerInterface`
      Sets a configuration file for this transformer.
      Parameters:
        `configFile` - URI

    - #### getConfigFile

          public java.net.URI getConfigFile()

      Description copied from interface: `XBRLFactHandlerInterface`
      Returns the config file that was set using the getConfigFile method or null if no config file has been set.
      Returns:
        the config file